Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.language
[Java] Interface DependentSourceSet

    org.gradle.api.Buildable
      org.gradle.language.DependentSourceSet
          org.gradle.language.base.LanguageSourceSet
              org.gradle.api.Named

All Superinterfaces:
  Buildable, LanguageSourceSet, Named

    @Incubating
    public interface DependentSourceSet
    extends LanguageSourceSet

A source set that depends on one or more NativeDependencySets to be built.

Method Summary
`void` | `dependency(Map dep)` Add a dependency to this source set.
`Collection` | `getLibs()` The libraries that this source set requires.
`void` | `lib(Object library)` Adds a library that this source set requires.

Methods inherited from interface LanguageSourceSet
getSource, source

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface Named
getName

Method Detail

### dependency

    public void dependency(Map dep)

  Add a dependency to this source set.

### getLibs

    public Collection getLibs()

  The libraries that this source set requires.

### lib

    public void lib(Object library)

  Adds a library that this source set requires. This method accepts the following types:
  - A Library
  - A LibraryBinary
  - A NativeDependencySet

Gradle API 1.10